'use strict';

var OrcamentoBDIExplicitoController = angular.module('OrcamentoBDIExplicitoController', []);

OrcamentoBDIExplicitoController.controller('OrcamentoBDIExplicitoCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
      $scope.construcao = CacheApp.getConstrucao();
      $scope.getOrcamentoBDIExplicito = () => {
          $scope.planejado = {};
          Relatorio.getOrcamentoBDIExplicito($scope.construcao.Id,
              (data) => {
                  $scope.planejado = data.Instance;
                  if (data.Instance)
                      $scope.construcao.ValorBDI = data.Instance.ValorFinal;
              });
      }
      $scope.getOrcamentoBDIExplicito();

      $scope.pdfOrcamentoBDIExplicito = () => {
          var cabecalho = {
              Avatar: $scope.construcao.ContaAvatar,
              Obra: $scope.construcao.Titulo,
              Conta: $scope.construcao.Conta,
              DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
              DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
              Moeda: $scope.construcao.Moeda
          };

          Relatorio.pdfOrcamentoBDIExplicito($scope.construcao.Id, cabecalho,
              (data) => {
                  window.location.assign(data.Instance);
              });
      }

      $scope.xlsOrcamentoBDIExplicito = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.xlsOrcamentoBDIExplicito($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

}]);
